## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
# * tests can only be run in-tree
%bcond_with check
%global debug_package %{nil}

%global crate actix

Name:           rust-actix
Version:        0.13.1
Release:        %autorelease
Summary:        Actor framework for Rust

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/actix
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Actor framework for Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGES.md
%doc %{crate_instdir}/MIGRATION.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+actix-macros-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+actix-macros-devel %{_description}

This package contains library source intended for building other packages which
use the "actix-macros" feature of the "%{crate}" crate.

%files       -n %{name}+actix-macros-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+actix_derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+actix_derive-devel %{_description}

This package contains library source intended for building other packages which
use the "actix_derive" feature of the "%{crate}" crate.

%files       -n %{name}+actix_derive-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+macros-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+macros-devel %{_description}

This package contains library source intended for building other packages which
use the "macros" feature of the "%{crate}" crate.

%files       -n %{name}+macros-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mailbox_assert-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mailbox_assert-devel %{_description}

This package contains library source intended for building other packages which
use the "mailbox_assert" feature of the "%{crate}" crate.

%files       -n %{name}+mailbox_assert-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Aug 31 2023 Fabio Valentini <decathorpe@gmail.com> - 0.13.1-1
- Update to version 0.13.1; Fixes RHBZ#2236179

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Aug 10 2022 Fabio Valentini <decathorpe@gmail.com> - 0.13.0-1
- Update to version 0.13.0; Fixes RHBZ#2059458

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Nov 25 2021 Fabio Valentini <decathorpe@gmail.com> - 0.12.0-1
- Update to version 0.12.0; Fixes RHBZ#1969432

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri May 14 2021 Fabio Valentini <decathorpe@gmail.com> - 0.11.1-1
- Update to version 0.11.1.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Sep 11 2020 Josh Stone <jistone@redhat.com> - 0.10.0-1
- Update to 0.10.0

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0~alpha.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu May 14 19:45:44 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.10.0~alpha.3-1
- Update to 0.10.0-alpha.3

* Wed Mar 25 18:05:48 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.10.0~alpha.2-1
- Update to 0.10.0-alpha.2

* Sat Feb 29 06:59:32 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.10.0~alpha.1-1
- Update to 0.10.0-alpha.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Aug 06 09:09:24 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.3-4
- Update parking_lot to 0.9

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jun 18 10:10:14 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.3-2
- Update dependencies

* Thu May 30 18:30:27 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.3-1
- Initial package

